Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061007 - internal compiler error(s) compiling google test and cross-compiling older versions of gcc
Summary: internal compiler error(s) compiling google test and cross-compiling older ve...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 08:04 UTC by ratytimo
Modified: 2015-06-29 14:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:58:51 UTC


Attachments (Terms of Use)
Preprocessed source stored into temporary file, recommeded to be attached (deleted)
2014-02-04 08:04 UTC, ratytimo
no flags Details

Description ratytimo 2014-02-04 08:04:28 UTC
Created attachment 858941 [details]
Preprocessed source stored into temporary file, recommeded to be attached

Description of problem:
Internal compiler errors: Segmentation fault
As reported by "g++ (GCC) 4.8.2 20131212 (Red Hat 4.8.2-7)"
version of GCC. Two projects: one is about using GoogleTest Unit Test
framework. Another project is creating an ARM cross compiler from GCC
version that is older (4.7.2?) but cross compiled with new GCC.

Version-Release number of selected component (if applicable):
g++ (GCC) 4.8.2 20131212 (Red Hat 4.8.2-7)

How reproducible:
Always. For the cross compiler project newer code passes (>4.7.2 if I recall)

Steps to Reproduce:
1. make precompile_headers (GCH headers)
  the cross compiler project probably does not use these (precompiled hdrs)
2. make clean (for GoogleTest stuff)
3. make all


Actual results:
report as:
-------------
! ../gtest_contrib/gtest/gtest.h.gch
 ../gtest_contrib/gmock-gtest-all.cc
../gtest_contrib/gtest/gtest.h:1:0: internal compiler error: Segmentation fault
 // Copyright 2005, Google Inc.
 ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccb52BJj.out file, please attach this to your bugreport.
make: *** [gtest_contrib/gmock-gtest-all.o] Error 1
-------------


Expected results:
No errors.


Additional info:
attachment suggested by error report

My apologies if this is a duplicate but I am seeing this happen quite often now.

Comment 1 Fedora End Of Life 2015-05-29 10:47:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 14:58:51 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.